from datetime import datetime, timedelta
from os import getenv

from jwt import decode, encode


def expire_date(days: int):
    return datetime.now() + timedelta(days)


def write_token(data: dict):
    expire = expire_date(1)
    return encode(
        payload={**data, "exp": expire}, key=getenv("SECRET"), algorithm="HS256"
    ), int(expire.timestamp())


def validate_token(token):
    return decode(token, key=getenv("SECRET"), algorithms=["HS256"])
