from bsition.backend.elastic.utils import get_client
from bsition.backend.postgres import relations as postgres


def search(index, query, user_id):
    client = get_client()

    acc_doc = postgres.get_accesible_documents(user_id)

    resp = client.search(
        index=index,
        size=100,
        query={
            "bool": {
                "must": [
                    {"query_string": {"query": query, "default_field": "data"}},
                ],
                "filter": [
                    {"terms": {"_id": acc_doc}}
                ]
            }
        },
        highlight={"fields": {"data": {}}},
    )

    hits = []
    for hit in resp["hits"]["hits"]:
        hits.append(
            # str(hit["highlight"]) + " ---- " + "%(name)s: %(data)s" % hit["_source"]
            # str(hit["highlight"]) + " ---- " + "%(name)s: %(data)s" % hit["_source"]
            {
                "id": hit['_id'],
                "name": hit['_source']["name"],
                "highlight": str(hit["highlight"]["data"])
            }
        )
        print(hit['_id'], hit['_source'])

    return hits
