import React, { useState, useEffect } from "react";
import { useRouter } from "next/router";
import Layout from "../../../components/Layout";
import {
    OptionsIcon,
    DeleteIcon,
    LockIcon,
    PublicIcon,
    ShareIcon,
    ManageIcon
} from "../../../components/icons";
import Link from "next/link";
import classNames from "classnames";

export default function Document() {
  const router = useRouter();

  const [token, setToken] = useState("");
  const [users, setUsers] = useState([]);

  useEffect(() => {
      setToken(() => localStorage.getItem("token"))
  }, [])

  useEffect(() => {
    if (token && router.query.id) {
        const fetchData = async () => {
            const res = await fetch(`http://localhost:8000/api/documents/${router.query.id}/access`, {
                method: "GET",
                headers: {
                    'Authorization': `Bearer ${token}`
                }
            })
            const json = await res.json();
            console.log(json)
            let list = []
            json.forEach((user) => {
                list.push({
                    id: user[0],
                    username: user[1],
                    access: user[2]
                })
            })
            setUsers(() => list)
        }

        fetchData()
    }
  }, [token, router.query.id])

    const handleSubmit = async (event) => {
        event.preventDefault()

        let data = {
            name: event.target.name.value,
        }

        const JSONdata = JSON.stringify(data)

        const res = await fetch("http://localhost:8000/api/documents", {
            method: "POST",
            headers: {
                'Content-Type': 'application/json',
                'Authorization': `Bearer ${token}`
            },
            body: JSONdata
        })
        let json = await res.json();
    }


  return (
      <Layout>
          <div style={{height: "50px", justifyContent: "space-between"}}
          className="align-center flex">
              <table>
                  <tr>
                      <th>Username</th>
                      <th>Access</th>
                  </tr>
                  {users.map(({ icon: Icon, ...user }) => {
            return (
                <>
                <tr style={{color: "black"}}>
                    <td>{user.username}</td>
                    <td>
                        <select style={{padding: "4px"}} value={user.access} onChange={handleSubmit}>
                            <option value={1} label="Full-access"></option>
                            <option value={2} label="Edit"></option>
                            <option value={3} label="Read-only"></option>
                        </select>

                    </td>
                </tr>

                      <div className="flex items-center justify-center w-full h-full">
            {/*<form onSubmit={handleSubmit} className="flex items-center justify-center align-center w-full h-full login-form" style={{flexDirection: "column"}}>*/}
                <div>
                    <input type="text" id="name" name="name" required placeholder="name"
                           style={{border: "1px solid grey", color: "black", padding: "2px 4px"}}/>
                </div>

                <button type="submit" className="rounded bg-pink-600 rounded" style={{border: "1px solid grey", padding: "4px"}}>Create</button>
            {/*</form>*/}
        </div>
                </>
            );
          })}
              </table>
          </div>
      </Layout>
  );
}